Debian Bug report logs - #690908
unblock: libdatetime-timezone-perl/1.53-1+2012i

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Fri, 19 Oct 2012 01:00:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Fri, 19 Oct 2012 01:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Fri, 19 Oct 2012 01:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Fri, 19 Oct 2012 02:56:23 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Please unblock package libdatetime-timezone-perl 1.51-1+2012g.

This release contains the data from version 2012g of the Olson
database (and some other minor changes).

I'm attaching the debdiff against 1.49-1+2012f modulo the boring changes
in the tzdata-generated files.

unblock libdatetime-timezone-perl/1.51-1+2012g

Cheers,
gregor

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQgKU3AAoJELs6aAGGSaoG5PMQAMXurcnXfb/7k7VjH2hss4Pn
jZgEP8REDWDQFQKJVCjLw3jzCmXB6UXFTX0BW/6+piRF1P/t8siKM+ZFTkoQA1YY
ETMRu4FLelh/XI3MDvq4HF0abNAiD7XfuhyItUokEzbQtaiEYRpzi3kXO5EV9CKA
V88cDFh8+e/2x0OIptXzp5kEpYOeQUG3KgXNq6PffAfuM11J1kk1A+ueHtoA3Y0V
K2ELqdV1/axnc91aF7n8EOpjrljFum3ThgulFdRhnt2X6HD8oRmySmko8hJKma4H
jZwGAM5bshXutNtJmr96gKbvdh89jiVsV0wDp509OAfj+6bD310l0UJSXwXfpMIX
yXcaWoB6676xKijoX33L8KHDhd7/2/0QSSNbGY1Z76QdKrzzOdd8yDfprtVAhLZQ
oQd1qFuo1iQ/20TTppU1M6Li7nkXrtmY+vP9em1AbtFWmOn0GIRPRhZ3DwoqNX8w
O6LJfe7+h0ttIfYXAz79pve7/b89E5MUfsY3PPIgTUgHyS7wp8uJh/t8DIwIrh2d
WdmrYMrzHDg8RYY74diN0HcMYIlrZ1MM2ylCA10jCtdTviziVlstvhGQwQbzi15M
IUfmSITW1L/4k64GzwyV6OJx7ISIOFnSJPatZ0GJH2NHGFwDlZbQwi8NJBwi7yd/
UxO1AbTHg0ITva5TchKC
=NsgO
-----END PGP SIGNATURE-----
[libdatetime-timezone-perl_1.51-1+2012g.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Wed, 07 Nov 2012 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Nov 2012 17:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 690908@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 690908@bugs.debian.org
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Wed, 7 Nov 2012 18:15:47 +0100
[Message part 1 (text/plain, inline)]
Control: retitle -1 unblock: libdatetime-timezone-perl/1.53-1+2012i

> Please unblock package libdatetime-timezone-perl 1.51-1+2012g.
> 
> This release contains the data from version 2012g of the Olson
> database (and some other minor changes).
> 
> I'm attaching the debdiff against 1.49-1+2012f modulo the boring changes
> in the tzdata-generated files.
> 
> unblock libdatetime-timezone-perl/1.51-1+2012g

unblock libdatetime-timezone-perl/1.53-1+2012i

I've uploaded 1.53-1+2012i now to unstable with the changes from the
Olson db (2012h and) 2012i.

New debdiff against the version in testing attached (without the
perlified tzdata).


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Ani Difranco: Small World
[libdatetime-timezone-perl_1.49-1+2012f_1.53-1+2012i_trimmed.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'unblock: libdatetime-timezone-perl/1.53-1+2012i' from 'unblock: libdatetime-timezone-perl/1.51-1+2012g' Request was from gregor herrmann <gregoa@debian.org> to 690908-submit@bugs.debian.org. (Wed, 07 Nov 2012 17:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Wed, 07 Nov 2012 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Nov 2012 18:12:03 GMT) Full text and rfc822 format available.

Message #17 received at 690908@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: gregor herrmann <gregoa@debian.org>, 690908@bugs.debian.org
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Wed, 7 Nov 2012 19:10:30 +0100
[Message part 1 (text/plain, inline)]
On Fri, Oct 19, 2012 at 02:56:23 +0200, gregor herrmann wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> 
> Please unblock package libdatetime-timezone-perl 1.51-1+2012g.
> 
> This release contains the data from version 2012g of the Olson
> database (and some other minor changes).
> 
> I'm attaching the debdiff against 1.49-1+2012f modulo the boring changes
> in the tzdata-generated files.
> 
Why doesn't this use the system timezone db instead?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Wed, 07 Nov 2012 18:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Nov 2012 18:21:02 GMT) Full text and rfc822 format available.

Message #22 received at 690908@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 690908@bugs.debian.org
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Wed, 7 Nov 2012 19:18:24 +0100
[Message part 1 (text/plain, inline)]
On Wed, 07 Nov 2012 19:10:30 +0100, Julien Cristau wrote:

> > This release contains the data from version 2012g of the Olson
> > database (and some other minor changes).
> > I'm attaching the debdiff against 1.49-1+2012f modulo the boring changes
> > in the tzdata-generated files.
> Why doesn't this use the system timezone db instead?

The package contains the timezone data converted into Perl
code/modules which are then used as regular Perl modules.

In theory it would be nice to somehow couple the
libdatetime-timezone-perl package to the tzdata package, but this
hasn't happened yet; cf. #660404.

(Rebuilding the perl code at install time is not an option; on my old
machine this took about 20 minutes, haven't tried on recent hardware
yet.)

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Wed, 07 Nov 2012 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Nov 2012 18:30:03 GMT) Full text and rfc822 format available.

Message #27 received at 690908@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 690908@bugs.debian.org
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Wed, 7 Nov 2012 19:27:11 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov  7, 2012 at 19:18:24 +0100, gregor herrmann wrote:

> In theory it would be nice to somehow couple the
> libdatetime-timezone-perl package to the tzdata package, but this
> hasn't happened yet; cf. #660404.
> 
> (Rebuilding the perl code at install time is not an option; on my old
> machine this took about 20 minutes, haven't tried on recent hardware
> yet.)
> 
I kinda meant parsing the files from tzdata at run time.

Having the tz db duplicated in multiple packages is getting old.  And
means the other copies don't get updated in stable.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Wed, 07 Nov 2012 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Nov 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #32 received at 690908@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 690908@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Wed, 7 Nov 2012 19:38:24 +0100
[Message part 1 (text/plain, inline)]
On Wed, 07 Nov 2012 19:27:11 +0100, Julien Cristau wrote:

> > In theory it would be nice to somehow couple the
> > libdatetime-timezone-perl package to the tzdata package, but this
> > hasn't happened yet; cf. #660404.
> > 
> > (Rebuilding the perl code at install time is not an option; on my old
> > machine this took about 20 minutes, haven't tried on recent hardware
> > yet.)
> > 
> I kinda meant parsing the files from tzdata at run time.

Yup, but that is a problem that needs to be fixed upstream; and
hasn't (TTBOMK) been completed yet, although it goes in the right
direction:
http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/2012-March/052645.html
 
> Having the tz db duplicated in multiple packages is getting old.  And
> means the other copies don't get updated in stable.

Right, that's one of the reasons I tried to get in contact with the
tzdata maintainers in #660404.

If the Release Team agrees, we can update libdatetime-timezone-perl
via stable-updates after the release.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Pink Floyd: Hey You
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Fri, 28 Dec 2012 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 28 Dec 2012 15:33:03 GMT) Full text and rfc822 format available.

Message #37 received at 690908@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 690908@bugs.debian.org
Cc: gregor herrmann <gregoa@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Fri, 28 Dec 2012 16:23:07 +0100
Control: tag -1 + moreinfo

Hi,

gregor herrmann wrote (07 Nov 2012 18:38:24 GMT) :
> On Wed, 07 Nov 2012 19:27:11 +0100, Julien Cristau wrote:
>> I kinda meant parsing the files from tzdata at run time.

> Yup, but that is a problem that needs to be fixed upstream; and
> hasn't (TTBOMK) been completed yet, although it goes in the right
> direction:
> http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/2012-March/052645.html

FWIW, serious progress is being made exactly toward this goal for
Jessie: https://lists.debian.org/debian-perl/2012/12/msg00040.html

This might address Julien's long-term concern well enough,
so let's go with the actual code review.

Gregor:

Upstream 1.52 or 1.53 changes tools/parse_olson in ways that are not
described in Changes. Do you confirm we don't care, because we neither
ship this file nor use it at package build time, or what?

Other than that, the diff looks good to me.

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Added tag(s) moreinfo. Request was from intrigeri <intrigeri@debian.org> to 690908-submit@bugs.debian.org. (Fri, 28 Dec 2012 15:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Sat, 29 Dec 2012 00:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 29 Dec 2012 00:06:04 GMT) Full text and rfc822 format available.

Message #44 received at 690908@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: intrigeri <intrigeri@debian.org>
Cc: 690908@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Sat, 29 Dec 2012 01:02:17 +0100
[Message part 1 (text/plain, inline)]
On Fri, 28 Dec 2012 16:23:07 +0100, intrigeri wrote:

> > Yup, but that is a problem that needs to be fixed upstream; and
> > hasn't (TTBOMK) been completed yet, although it goes in the right
> > direction:
> > http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/2012-March/052645.html
> FWIW, serious progress is being made exactly toward this goal for
> Jessie: https://lists.debian.org/debian-perl/2012/12/msg00040.html
> 
> This might address Julien's long-term concern well enough,
> so let's go with the actual code review.

Thanks, I thought about adding this information here but you were
quicker.
 
> Gregor:
> 
> Upstream 1.52 or 1.53 changes tools/parse_olson in ways that are not
> described in Changes. Do you confirm we don't care, because we neither
> ship this file nor use it at package build time, or what?

Exactly (neither shipped nor used).
 

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Sting: Russians
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Sat, 29 Dec 2012 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 29 Dec 2012 10:12:03 GMT) Full text and rfc822 format available.

Message #49 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: gregor herrmann <gregoa@debian.org>, 690908-done@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Sat, 29 Dec 2012 11:10:23 +0100
[Message part 1 (text/plain, inline)]
On Fri, Oct 19, 2012 at 02:56:23 +0200, gregor herrmann wrote:

> Please unblock package libdatetime-timezone-perl 1.51-1+2012g.
> 
Unblocked 1:1.56-1+2012j.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 29 Dec 2012 10:12:07 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Sat, 29 Dec 2012 10:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#690908; Package release.debian.org. (Sat, 29 Dec 2012 15:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 29 Dec 2012 15:45:07 GMT) Full text and rfc822 format available.

Message #59 received at 690908@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 690908@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#690908: unblock: libdatetime-timezone-perl/1.51-1+2012g
Date: Sat, 29 Dec 2012 16:40:38 +0100
gregor herrmann wrote (29 Dec 2012 00:02:17 GMT) :
> Exactly (neither shipped nor used).

Thanks, removing the moreinfo tag.



Removed tag(s) moreinfo. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Sat, 29 Dec 2012 15:45:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Jan 2013 07:25:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:28:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.